Konnektör konfigürasyonu oluştur
curl --request POST \
--url https://vpos-sandbox.payven.com.tr/api/v1/connector-configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"extra_properties_dict": {},
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"api_key": "<string>",
"secret_key": "<string>",
"username": "<string>",
"password": "<string>",
"terminal_id": "<string>",
"store_id": "<string>",
"api_endpoint_url": "<string>",
"three_d_secure_endpoint_url": "<string>",
"extra_credentials": "<string>",
"bank_code": "<string>",
"priority": 123,
"is_active": true
}
'import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/connector-configurations"
payload = {
"extra_properties_dict": {},
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"api_key": "<string>",
"secret_key": "<string>",
"username": "<string>",
"password": "<string>",
"terminal_id": "<string>",
"store_id": "<string>",
"api_endpoint_url": "<string>",
"three_d_secure_endpoint_url": "<string>",
"extra_credentials": "<string>",
"bank_code": "<string>",
"priority": 123,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
extra_properties_dict: {},
connector_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
api_key: '<string>',
secret_key: '<string>',
username: '<string>',
password: '<string>',
terminal_id: '<string>',
store_id: '<string>',
api_endpoint_url: '<string>',
three_d_secure_endpoint_url: '<string>',
extra_credentials: '<string>',
bank_code: '<string>',
priority: 123,
is_active: true
})
};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/connector-configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extra_properties_dict": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"connector_code": "<string>",
"name": "<string>",
"api_key": "<string>",
"secret_key": "<string>",
"username": "<string>",
"password": "<string>",
"terminal_id": "<string>",
"store_id": "<string>",
"api_endpoint_url": "<string>",
"three_d_secure_endpoint_url": "<string>",
"extra_credentials": "<string>",
"bank_code": "<string>",
"priority": 123,
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z"
}{
"type": "https://docs.payven.com.tr/errors/bad_request",
"title": "Geçersiz istek",
"status": 400,
"code": "bad_request",
"detail": "amount.amount alanı zorunlu.",
"correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "https://docs.payven.com.tr/errors/idempotency_key_in_use",
"title": "Idempotency-Key çakışması",
"status": 409,
"code": "idempotency_key_in_use",
"detail": "Bu Idempotency-Key daha önce farklı bir istek gövdesi ile kullanıldı."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}ConnectorConfigurations
Konnektör konfigürasyonu oluştur
POST
/
api
/
v1
/
connector-configurations
Konnektör konfigürasyonu oluştur
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Headers
Body
application/json
Show child attributes
Show child attributes
Available options:
Test, Production Response
Created
Show child attributes
Show child attributes
Available options:
Test, Production ⌘I